Productsup
API referenceV1Export template

Retrieve a full export template view.

An export template is a resource that holds the main information of a template for creating channels. This endpoint shows a full view of an export template with all related entities.

GET
/V1/export-templates/{id}/full-view

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Header Parameters

X-Channel-Template-Context?string

Name of channel template context to process request against.

Response Body

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export-templates/string/full-view"
{
  "data": {
    "id": 58756,
    "name": "export 1",
    "encoding": null,
    "global": true,
    "pseudo": false,
    "allowXml": true,
    "validDelimiter": "",
    "roiOptions": "",
    "accountId": 0,
    "projectId": 0,
    "siteId": 0,
    "logoUrl": "https://ctm-channel-logos.stage-ctm-cdn.productsup.com/channel/0/logo.png",
    "createDelta": false,
    "deltaKeyUnique": true,
    "deltaNewFilename": null,
    "deltaChangedFilename": null,
    "deltaDeletedFilename": null,
    "deltaUnchangedFilename": null,
    "deltaSkippedFilename": null,
    "deltaSingleFile": null,
    "customClassName": null,
    "defaultFilename": "pdsfeed.csv",
    "exportMarketing": {
      "id": 40681,
      "type": null,
      "publish": null,
      "marketingTitle": null,
      "websiteLink": null,
      "landingPageLink": null,
      "featured": null,
      "products": null,
      "description": null,
      "priority": 0,
      "helpLink": null,
      "exportCategoryIds": [
        "17"
      ],
      "exportCountryIds": [],
      "exportBrand": {
        "id": 2629,
        "name": "Facebook"
      }
    },
    "fields": [
      {
        "id": 995296,
        "alias": "title",
        "mandatory": false,
        "type": "optional",
        "conditions": [],
        "flag": "not hidden",
        "isDefaultTrackingColumn": false,
        "isUniqueColumn": false,
        "order": 0,
        "deltaIgnore": false,
        "deltaKey": false,
        "automapIgnore": false,
        "description": "",
        "format": null,
        "fieldTags": [
          {
            "id": 1247692,
            "key": "classification_field_type",
            "value": "Numeric"
          },
          {
            "id": 1247693,
            "key": "classification_field_sub_type",
            "value": "details"
          }
        ],
        "analyzerTestIds": [
          583559
        ],
        "fieldname": "name",
        "examples": [
          null
        ]
      },
      {
        "id": 995297,
        "alias": "title 2",
        "mandatory": false,
        "type": "optional",
        "conditions": [],
        "flag": "not hidden",
        "isDefaultTrackingColumn": false,
        "isUniqueColumn": false,
        "order": 0,
        "deltaIgnore": false,
        "deltaKey": false,
        "automapIgnore": false,
        "description": "",
        "format": null,
        "fieldTags": [],
        "analyzerTestIds": [
          583560
        ],
        "fieldname": "name 2",
        "examples": [
          null
        ]
      }
    ],
    "tags": [
      {
        "id": 56112,
        "key": "some key 1",
        "value": "some value 1"
      },
      {
        "id": 56113,
        "key": "some key 2",
        "value": "some value 2"
      }
    ],
    "customFormFields": [
      {
        "id": 2579,
        "name": "title",
        "caption": "captiontext",
        "type": "text",
        "placeholder": "some text",
        "data": "",
        "trigger": "ADD_TITLE_HEADER",
        "order": 1
      }
    ],
    "owner": [],
    "exportType": {
      "type": "standard",
      "mainExportId": null
    },
    "context": []
  }
}

How is this guide?